Get payment link orders
curl --request GET \
--url https://staging.api.mavapay.co/api/v1/paymentlink/orders \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.api.mavapay.co/api/v1/paymentlink/orders"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.api.mavapay.co/api/v1/paymentlink/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"message": "paymentlink order details",
"data": {
"id": "7e644e02-e652-42d8-8857-e8ae46bccd59",
"name": "Small payment for Solomon",
"description": "Small Payment for Demo Purposes",
"type": "ONE_TIME",
"amount": "2000000",
"fee": null,
"addFeeToTotalCost": false,
"settlementCurrency": "BTC",
"settlementMethod": "ONCHAIN",
"speed": "medium",
"paymentCurrency": "NGN",
"paymentMethods": [
"BANKTRANSFER"
],
"callbackUrl": "https://mavapay.co/login",
"channel": "API",
"status": "ACTIVE",
"accountId": "1a0f79fb-0f3e-4b5b-98f1-1e14324ca62e",
"expiresAt": null,
"invoice": null,
"companyLogo": null,
"beneficiaryId": "bc1q8yz7u50r4nne2q8wkuc4kyxx0s76fxsjlac5fxd8h7tzkh4rs82qnweuv5",
"createdAt": "2026-01-09T12:36:09.582Z",
"updatedAt": "2026-01-09T12:36:09.582Z",
"orders": [
{
"id": "eb1377a8-5afd-4888-a702-d510d070466b",
"status": "EXPIRED",
"orderId": "49508-6205",
"paymentLinkId": "7e644e02-e652-42d8-8857-e8ae46bccd59",
"paymentMethod": "BANKTRANSFER",
"createdAt": "2026-01-09T12:36:25.924Z",
"updatedAt": "2026-01-09T12:47:10.254Z"
},
{
"id": "35a153c9-dff0-4cb5-a603-e494965ed6ad",
"status": "PENDING",
"orderId": "17454-1571",
"paymentLinkId": "7e644e02-e652-42d8-8857-e8ae46bccd59",
"paymentMethod": "BANKTRANSFER",
"createdAt": "2026-01-09T13:09:59.212Z",
"updatedAt": "2026-01-09T13:09:59.212Z"
}
]
}
}{
"message": "<string>",
"status": "error"
}Payment Link
Get payment link orders
Retrieve orders associated with a payment link. Useful for getting the order ID for payment simulation in staging.
GET
/
paymentlink
/
orders
Get payment link orders
Authorizations
ApiKeyAuthbearerAuth
Query Parameters
The payment link ID (paymentRef) to get orders for
⌘I
